Bug 32084 - Dell Power App 120 - chkconfig
Summary: Dell Power App 120 - chkconfig
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: chkconfig (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
: 32085 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-17 15:59 UTC by George Allen/Allen Tunnell Corporation
Modified: 2014-03-17 02:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-13 17:58:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description George Allen/Allen Tunnell Corporation 2001-03-17 15:59:19 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)


chkconfig does not work on a Dell Power App 120 with the installed Red Hat 
Linus 7.0.  Gives a "segmentation fault" when executed from root.


Reproducible: Always
Steps to Reproduce:
1.log into root
2.chkconfig (enter)
3.
	

Actual Results:  segmentation fault

Expected Results:  should have gotten information

Comment 1 Bill Nottingham 2001-03-18 01:37:59 UTC
*** Bug 32085 has been marked as a duplicate of this bug. ***

Comment 2 Bill Nottingham 2001-03-18 01:38:36 UTC
I can't reproduce this. If you strace it, where does it die?

Comment 3 Bill Haake 2001-03-29 18:23:05 UTC
I get a similar problem if I do a chkconfig --list syslog. Here is the strace:
strace chkconfig --list syslog
execve("/sbin/chkconfig", ["chkconfig", "--list", "syslog"], [/* 27 vars */]) = 
0
_sysctl({{CTL_KERN, KERN_OSRELEASE}, 2, "2.2.16-22smp", 12, NULL, 0}) = 0
brk(0)                                  = 0x804ef84
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 
0x40017000
open("/etc/ld.so.preload", O_RDONLY)    = -1 ENOENT (No such file or directory)
open("/etc/ld.so.cache", O_RDONLY)      = 3
fstat64(3, 0xbffff2ec)                  = -1 ENOSYS (Function not implemented)
fstat(3, {st_mode=S_IFREG|0644, st_size=16906, ...}) = 0
old_mmap(NULL, 16906, PROT_READ, MAP_PRIVATE, 3, 0) = 0x40018000
close(3)                                = 0
open("/lib/libc.so.6", O_RDONLY)        = 3
fstat(3, {st_mode=S_IFREG|0755, st_size=4776568, ...}) = 0
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\220\274"..., 4096) = 
4096
old_mmap(NULL, 1196776, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0x4001d000
mprotect(0x40138000, 37608, PROT_NONE)  = 0
old_mmap(0x40138000, 24576, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 3, 
0x11a000) = 0x40138000
old_mmap(0x4013e000, 13032, PROT_READ|PROT_WRITE, 
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x4013e000
close(3)                                = 0
munmap(0x40018000, 16906)               = 0
getpid()                                = 3744
brk(0)                                  = 0x804ef84
brk(0x804efbc)                          = 0x804efbc
brk(0x804f000)                          = 0x804f000
brk(0x8050000)                          = 0x8050000
open("/usr/share/locale/locale.alias", O_RDONLY) = 3
fstat64(3, 0xbfffb440)                  = -1 ENOSYS (Function not implemented)
fstat(3, {st_mode=S_IFREG|0644, st_size=2424, ...}) = 0
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 
0x40018000
read(3, "# Locale name alias data base.\n#"..., 4096) = 2424
read(3, "", 4096)                       = 0
close(3)                                = 0
munmap(0x40018000, 4096)                = 0
open("/usr/lib/locale/en_US/LC_IDENTIFICATION", O_RDONLY) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=244, ...}) = 0
old_mmap(NULL, 244, PROT_READ, MAP_PRIVATE, 3, 0) = 0x40018000
close(3)                                = 0
open("/usr/lib/locale/en_US/LC_MEASUREMENT", O_RDONLY) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=13, ...}) = 0
old_mmap(NULL, 13, PROT_READ, MAP_PRIVATE, 3, 0) = 0x40019000
close(3)                                = 0
open("/usr/lib/locale/en_US/LC_TELEPHONE", O_RDONLY) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=49, ...}) = 0
old_mmap(NULL, 49, PROT_READ, MAP_PRIVATE, 3, 0) = 0x4001a000
close(3)                                = 0
open("/usr/lib/locale/en_US/LC_ADDRESS", O_RDONLY) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=145, ...}) = 0
old_mmap(NULL, 145, PROT_READ, MAP_PRIVATE, 3, 0) = 0x4001b000
close(3)                                = 0
brk(0x8051000)                          = 0x8051000
open("/usr/lib/locale/en_US/LC_NAME", O_RDONLY) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=67, ...}) = 0
old_mmap(NULL, 67, PROT_READ, MAP_PRIVATE, 3, 0) = 0x4001c000
close(3)                                = 0
open("/usr/lib/locale/en_US/LC_PAPER", O_RDONLY) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=24, ...}) = 0
old_mmap(NULL, 24, PROT_READ, MAP_PRIVATE, 3, 0) = 0x40142000
close(3)                                = 0
open("/usr/lib/locale/en_US/LC_MESSAGES", O_RDONLY) = 3
fstat(3, {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
close(3)                                = 0
open("/usr/lib/locale/en_US/LC_MESSAGES/SYS_LC_MESSAGES", O_RDONLY) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=42, ...}) = 0
old_mmap(NULL, 42, PROT_READ, MAP_PRIVATE, 3, 0) = 0x40143000
close(3)                                = 0
open("/usr/lib/locale/en_US/LC_MONETARY", O_RDONLY) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=276, ...}) = 0
old_mmap(NULL, 276, PROT_READ, MAP_PRIVATE, 3, 0) = 0x40144000
close(3)                                = 0
open("/usr/lib/locale/en_US/LC_COLLATE", O_RDONLY) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=21492, ...}) = 0
old_mmap(NULL, 21492, PROT_READ, MAP_PRIVATE, 3, 0) = 0x40145000
close(3)                                = 0
open("/usr/lib/locale/en_US/LC_TIME", O_RDONLY) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=2313, ...}) = 0
old_mmap(NULL, 2313, PROT_READ, MAP_PRIVATE, 3, 0) = 0x4014b000
close(3)                                = 0
open("/usr/lib/locale/en_US/LC_NUMERIC", O_RDONLY) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=44, ...}) = 0
old_mmap(NULL, 44, PROT_READ, MAP_PRIVATE, 3, 0) = 0x4014c000
close(3)                                = 0
open("/usr/lib/locale/en_US/LC_CTYPE", O_RDONLY) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=46132, ...}) = 0
old_mmap(NULL, 46132, PROT_READ, MAP_PRIVATE, 3, 0) = 0x4014d000
brk(0x8052000)                          = 0x8052000
close(3)                                = 0
open("/etc/popt", O_RDONLY)             = -1 ENOENT (No such file or directory)
getuid32()                              = -1 ENOSYS (Function not implemented)
getuid()                                = 0
geteuid()                               = 0
open("/home/haake/.popt", O_RDONLY)     = -1 ENOENT (No such file or directory)
open("/etc/init.d/syslog", O_RDONLY)    = 3
fstat(3, {st_mode=S_IFREG|0755, st_size=1180, ...}) = 0
old_mmap(NULL, 1180, PROT_READ, MAP_SHARED, 3, 0) = 0x40159000
close(3)                                = 0
--- SIGSEGV (Segmentation fault) ---
+++ killed by SIGSEGV +++

Comment 4 Matt Domsch 2003-02-13 17:58:52 UTC
This issue is 2 years old.  Newer releases don't segfault.  Closing.  If you 
feel this is in error, please reopen.


Note You need to log in before you can comment on or make changes to this bug.